SoScXMLSpinTarget(3)

NAME
SoScXMLSpinTarget - Navigation system event target for spinning operations.

SYNOPSIS

#include <Inventor/scxml/SoScXMLSpinTarget.h>

Inherits SoScXMLNavigationTarget.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)
static SoScXMLSpinTarget * constructSingleton (void)
static void destructSingleton (void)
static SoScXMLSpinTarget * singleton (void)
static const SbName & BEGIN (void)
static const SbName & UPDATE (void)
static const SbName & END (void)
static void reorientCamera (SoCamera *camera, const SbRotation &rot)

  Protected Member Functions
virtual SbBool processOneEvent (const ScXMLEvent *event)

  Additional Inherited Members

Detailed Description

Navigation system event target for spinning operations.

Member Function Documentation

  SoType SoScXMLSpinTarget::getTypeId (void) const [virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements SoScXMLNavigationTarget.

  SbBool SoScXMLSpinTarget::processOneEvent (const ScXMLEvent * event) [protected], [virtual]
This function processes one event. The base class implementation does nothing.

Reimplemented from ScXMLEventTarget.

Author

Generated automatically by Doxygen for Coin from the source code.